**Source URL:** https://limited.veevavault.dev/safety/vault-api/api-reference/23.1/documents/retrieve-documents/download-document-version-thumbnail-file.md

# Download Document Version Thumbnail File



Download the thumbnail image file of a specific document version.

<Endpoint path="/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}/thumbnail" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
| `{major_version}` | The document `major_version_number__v` field value. |
| `{minor_version}` | The document `minor_version_number__v` field value. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/objects/documents/534/versions/2/3/thumbnail > thumbnail.png

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, Vault returns the thumbnail image for the specified version of the document. The HTTP Response Header `Content-Type` is set to `image/png`.



---

**Previous:** [Download Document Version File](/safety/vault-api/api-reference/23.1/documents/retrieve-documents/download-document-version-file)  
**Next:** [Create Documents](/safety/vault-api/api-reference/23.1/documents/create-documents)